<?php

namespace Daite\Coopdigital\Http\Controllers;

use App\Http\Controllers\Controller;

// *
use Illuminate\Http\Request;

// * Base de datos
use Illuminate\Support\Facades\DB;

class ControladorPanel extends Controller {

    public function inicio() {

        $idUsuarioIniciado = session()->get('usuarioIniciado')['id'];
        
        $consulta = "EXEC [appmovil].[p_traer_registros] '$idUsuarioIniciado', 'RESUMEN';";

        $resumen = collect(DB::select($consulta)) -> first();

        $consulta = "EXEC [appmovil].[p_traer_registros] '$idUsuarioIniciado', 'BALANCE_PENDIENTE';";

        $balancePendiente = collect(DB::select($consulta)) -> first();

        return view('coopdigital::panel.inicio', compact('resumen'), compact('balancePendiente'));

    }

    public function ultimasTransacciones() {

        $ultimasTransacciones = DB::select("EXEC [AppMovil].[p_traer_ultimas_transacciones]  ?;", [
            session()->get('usuarioIniciado')['id'] ?? ''
        ]);

        return view('coopdigital::panel.ultimasTransacciones', compact('ultimasTransacciones'));

    }

    public function prestamos() {

        return view('coopdigital::panel.prestamos');

    }

    public function pagosPrestamos() {

        return view('coopdigital::panel.pagos.prestamos');

    }

    public function lineasCredito() {

        return view('coopdigital::panel.lineasCredito');

    }

    public function cuentas(Request $request) {

        $tipoCuenta = $request->tipoCuenta;

        return view('coopdigital::panel.cuentas', compact('tipoCuenta'));

    }

    public function estadisticasCuentas() {

        return view('coopdigital::panel.estadisticasCuentas');

    }

    public function transacciones() {

        return view('coopdigital::panel.transacciones');

    }

    public function transferencias() {

        $idUsuarioIniciado = session()->get('usuarioIniciado')['id'];

        $consulta = "EXEC [appmovil].[p_traer_cuentas] '" . $idUsuarioIniciado . "', 'DATOS_CLIENTE'";

        $datosUsuario = collect(DB::select($consulta)) -> first();

        $codigoVerificacion = collect(DB::select("EXEC [appmovil].[p_traer_tarjetas] $idUsuarioIniciado, 'VALIDAR CODIGO', '', '$datosUsuario->cedula'"));

        return view('coopdigital::panel.transferencias', compact('datosUsuario', 'codigoVerificacion'));

    }

    public function pagarServicios() {

        return view('coopdigital::panel.pagarServicios');

    }

    public function certificados() {

        return view('coopdigital::panel.certificados');

    }

    public function transaccionesCertificados() {

        return view('coopdigital::panel.transacciones.certificados');

    }

    public function facturas() {

        return view('coopdigital::panel.facturas');

    }

    public function pagosFacturas() {

        return view('coopdigital::panel.pagos.facturas');

    }

    public function descuentoNomina() {

        return view('coopdigital::panel.descuentoNomina');

    }

    public function proximosDescuentos() {

        return view('coopdigital::panel.proximosDescuentos');

    }

    public function cambiarAhorroAporte() {

        return view('coopdigital::panel.cambiarAhorroAporte');

    }

    public function variablesFinancieras() {

        return view('coopdigital::panel.variablesFinancieras');

    }

    public function reportes() {

        $idUsuarioIniciado = session()->get('usuarioIniciado')['id'];

        $consulta = "EXEC [appmovil].[p_traer_otras_opciones] '$idUsuarioIniciado', 'USUARIO';";

        $opciones = DB::select($consulta);

        return view('coopdigital::panel.reportes', compact('opciones'));

    }

    public function directivos() {

        $idUsuarioIniciado = session()->get('usuarioIniciado')['id'];

        $consulta = "EXEC [appmovil].[p_traer_otras_opciones] '$idUsuarioIniciado', 'DIRECTIVO';";

        $opciones = DB::select($consulta);

        return view('coopdigital::panel.directivos', compact('opciones'));

    }

    public function calculadoraPrestamos() {

        return view('coopdigital::panel.calculadoraPrestamos');

    }

    public function configuracion() {

        return view('coopdigital::panel.perfil.configuracion');

    }

    public function solicitudesRetiros() {

        return view('coopdigital::panel.solicitudesRetiros');

    }

    public function solicitarRetiro() {

        return view('coopdigital::panel.solicitarRetiro');

    }

}


// Enviar variable al a vista
// compact('nombreVariable');
